Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.graph
Class NodePort

    java.lang.Object
      com.nwoods.jgo.JGoObject
          com.nwoods.jgo.JGoDrawable
              com.nwoods.jgo.JGoPort
                  edu.stanford.smi.protegex.widget.graph.NodePort

All Implemented Interfaces:
  com.nwoods.jgo.JGoIdentifiablePart, Serializable

    public class NodePort

extends com.nwoods.jgo.JGoPort

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.nwoods.jgo.JGoPort
`ChangedAddedLink, ChangedEndSegmentLength, ChangedFromSpot, ChangedObject, ChangedPartID, ChangedRemovedLink, ChangedStyle, ChangedToSpot, ChangedValidDestination, ChangedValidDuplicateLinks, ChangedValidSelfNode, ChangedValidSource, StyleDiamond, StyleEllipse, StyleHidden, StyleObject, StyleRectangle, StyleTriangle`

Fields inherited from class com.nwoods.jgo.JGoObject
`Bottom, BottomCenter, BottomLeft, BottomMiddle, BottomRight, Center, CenterLeft, CenterRight, Changed4ResizeHandles, ChangedBrush, ChangedDraggable, ChangedDragsNode, ChangedGeometry, ChangedGrabChildSelection, ChangedPen, ChangedResizable, ChangedSelectable, ChangedVisible, ChangedZOrder, LastChangedHint, Left, LeftCenter, NoHandle, NoSpot, NumReservedHandles, RepaintAll, Right, RightCenter, SideLeft, SideRight, Top, TopCenter, TopLeft, TopMiddle, TopRight`

Constructor Summary
`NodePort()`

Method Summary
`Point` | `getLinkPointFromPoint(int x, int y, Point p)` Return a point on the edge of the drawable rather than a point on the port itself.
`Node` | `getNode()` Convenience method for returning the parent as a Node.
`boolean` | `validLink(com.nwoods.jgo.JGoPort to)`

Methods inherited from class com.nwoods.jgo.JGoPort
`changeValue, copyNewValueForRedo, copyObject, copyObjectDelayed, doUncapturedMouseMove, expandRectByPenWidth, geometryChange, getDefaultPaintGreekScale, getDefaultPaintNothingScale, getEndSegmentLength, getFirstLinkPos, getFromLinkDir, getFromLinkPoint, getFromLinkPoint, getFromLinkPoint, getFromSpot, getLinkAtPos, getLinkDir, getLinkPoint, getLinkPoint, getNearestIntersectionPoint, getNextLinkPos, getNumLinks, getPartID, getPortObject, getStyle, getToLinkDir, getToLinkPoint, getToLinkPoint, getToLinkPoint, getToSpot, hasNoLinks, isInSameNode, isInSameNode, isLinked, isLinked, isValidDestination, isValidDuplicateLinks, isValidLink, isValidSelfNode, isValidSource, linkChange, ownerChange, paint, paintGreek, portChange, removeAllLinks, setDefaultPaintGreekScale, setDefaultPaintNothingScale, setEndSegmentLength, setFromSpot, setPartID, setPortObject, setStyle, setToSpot, setValidDestination, setValidDuplicateLinks, setValidSelfNode, setValidSource, SVGReadObject, SVGUpdateReference, SVGWriteObject`

Methods inherited from class com.nwoods.jgo.JGoDrawable
`draw3DRect, draw3DRect, drawEllipse, drawEllipse, drawEllipse, drawLine, drawLine, drawPath, drawPolygon, drawPolygon, drawRect, drawRect, drawRect, drawRoundRect, drawRoundRect, getBrush, getPen, setBrush, setPen, SVGReadAttributes, SVGWriteAttributes`

Methods inherited from class com.nwoods.jgo.JGoObject
`computeBoundingRect, copyOldValueForUndo, doMouseClick, doMouseDblClick, foredate, gainedSelection, geometryChangeChild, getBoundingRect, getDocument, getDraggingObject, getFlags, getHeight, getLayer, getLeft, getLocation, getLocation, getParent, getParentNode, getPartner, getSize, getSize, getSpotLocation, getSpotLocation, getToolTipText, getTop, getTopLeft, getTopLeft, getTopLevelObject, getView, getWidth, handleResize, hideSelectionHandles, is4ResizeHandles, isAutoRescale, isBoundingRectInvalid, isChildOf, isDraggable, isDragsNode, isGrabChildSelection, isInitializing, isPointInObj, isResizable, isSelectable, isSkipsUndoManager, isSuspendChildUpdates, isSuspendUpdates, isTopLevel, isVisible, lostSelection, redirectSelection, set4ResizeHandles, setAutoRescale, setBoundingRect, setBoundingRect, setBoundingRect, setBoundingRectForce, setBoundingRectForce, setBoundingRectInvalid, setDraggable, setDragsNode, setFlags, setGrabChildSelection, setHeight, setInitializing, setLeft, setLocation, setLocation, setLocationOffset, setLocationOffset, setParent, setPartner, setResizable, setSelectable, setSize, setSize, setSizeKeepingLocation, setSkipsUndoManager, setSpotLocation, setSpotLocation, setSpotLocation, setSpotLocationOffset, setSuspendChildUpdates, setSuspendUpdates, setTop, setTopLeft, setTopLeft, setVisible, setWidth, showSelectionHandles, spotOpposite, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodePort

    public NodePort()

Method Detail

### validLink

    public boolean validLink(com.nwoods.jgo.JGoPort to)

  Overrides:
    `validLink` in class `com.nwoods.jgo.JGoPort`

### getLinkPointFromPoint

    public Point getLinkPointFromPoint(int x,
                                       int y,
                                       Point p)

  Return a point on the edge of the drawable rather than a point on the port itself.

  Overrides:
    `getLinkPointFromPoint` in class `com.nwoods.jgo.JGoPort`

### getNode

    public Node getNode()

  Convenience method for returning the parent as a Node.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request